Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.math
Class BSplineOfVertices

    java.lang.Object
      de.grogra.persistence.ShareableBase
          de.grogra.graph.impl.ContextDependentBase
              de.grogra.math.BSplineOfVertices

All Implemented Interfaces:
  ContextDependent, BSplineCurve, KnotVector, VertexList, VertexSet, Manageable, Shareable

    public class BSplineOfVertices

extends ContextDependentBase
implements BSplineCurve

Nested Class Summary
`static class` | `BSplineOfVertices.Type`

Field Summary
`static BSplineOfVertices.Type` | `$TYPE`
`static SCOType.Field` | `bezier$FIELD`
`static SCOType.Field` | `degree$FIELD`
`static SCOType.Field` | `knots$FIELD`
`static SCOType.Field` | `periodic$FIELD`
`static SCOType.Field` | `rational$FIELD`
`static SCOType.Field` | `size$FIELD`
`static SCOType.Field` | `vertices$FIELD`

Constructor Summary
`BSplineOfVertices()`
`BSplineOfVertices(VertexList vertices, int degree, boolean periodic, boolean bezier)`

Method Summary
`boolean` | `dependsOnContext()` Determines whether this object actually depends on context.
`int` | `getDegree()`
`int` | `getDegree(GraphState gs)`
`int` | `getDimension(GraphState gs)`
`float` | `getKnot(int dim, int index, GraphState gs)`
`float[]` | `getKnots()`
`ManageableType` | `getManageableType()`
`int` | `getSize()`
`int` | `getSize(GraphState gs)`
`int` | `getVertex(float[] out, int index, GraphState gs)`
`VertexList` | `getVertices()`
`boolean` | `isBezier()`
`boolean` | `isPeriodic()`
`boolean` | `isRational()`
`boolean` | `isRational(GraphState gs)`
`void` | `setBezier(boolean value)`
`void` | `setDegree(int value)`
`void` | `setKnots(float[] value)`
`void` | `setPeriodic(boolean value)`
`void` | `setRational(boolean value)`
`void` | `setSize(int value)`
`void` | `setVertices(VertexList value)`
`void` | `writeStamp(Cache.Entry cache, GraphState gs)` Writes a stamp of the context into `cache`.

Methods inherited from class de.grogra.persistence.ShareableBase
`addReference, appendReferencesTo, fieldModified, getProvider, getStamp, initProvider, manageableReadResolve, manageableWriteReplace, removeReference`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### $TYPE

    public static final BSplineOfVertices.Type $TYPE

### bezier$FIELD

    public static final SCOType.Field bezier$FIELD

### degree$FIELD

    public static final SCOType.Field degree$FIELD

### knots$FIELD

    public static final SCOType.Field knots$FIELD

### periodic$FIELD

    public static final SCOType.Field periodic$FIELD

### rational$FIELD

    public static final SCOType.Field rational$FIELD

### size$FIELD

    public static final SCOType.Field size$FIELD

### vertices$FIELD

    public static final SCOType.Field vertices$FIELD

Constructor Detail

### BSplineOfVertices

    public BSplineOfVertices()

### BSplineOfVertices

    public BSplineOfVertices(VertexList vertices,
                             int degree,
                             boolean periodic,
                             boolean bezier)

Method Detail

### dependsOnContext

    public boolean dependsOnContext()

  Description copied from interface: `ContextDependent`
  Determines whether this object actually depends on context.

  Specified by:
    `dependsOnContext` in interface `ContextDependent`
  Returns:
    `true` iff this object depends on context

### getDegree

    public int getDegree()

### getDegree

    public int getDegree(GraphState gs)

  Specified by:
    `getDegree` in interface `BSplineCurve`

### getDimension

    public int getDimension(GraphState gs)

  Specified by:
    `getDimension` in interface `VertexSet`

### getKnot

    public float getKnot(int dim,
                         int index,
                         GraphState gs)

  Specified by:
    `getKnot` in interface `KnotVector`

### getKnots

    public float[] getKnots()

### getManageableType

    public ManageableType getManageableType()

  Specified by:
    `getManageableType` in interface `Manageable`

### getSize

    public int getSize()

### getSize

    public int getSize(GraphState gs)

  Specified by:
    `getSize` in interface `VertexList`

### getVertex

    public int getVertex(float[] out,
                         int index,
                         GraphState gs)

  Specified by:
    `getVertex` in interface `VertexSet`

### getVertices

    public VertexList getVertices()

### isBezier

    public boolean isBezier()

### isPeriodic

    public boolean isPeriodic()

### isRational

    public boolean isRational()

### isRational

    public boolean isRational(GraphState gs)

  Specified by:
    `isRational` in interface `VertexSet`

### setBezier

    public void setBezier(boolean value)

### setDegree

    public void setDegree(int value)

### setKnots

    public void setKnots(float[] value)

### setPeriodic

    public void setPeriodic(boolean value)

### setRational

    public void setRational(boolean value)

### setSize

    public void setSize(int value)

### setVertices

    public void setVertices(VertexList value)

### writeStamp

    public void writeStamp(Cache.Entry cache,
                           GraphState gs)

  Description copied from interface: `ContextDependent`
  Writes a stamp of the context into `cache`. Based on this stamp, a cache detects whether the context of this object has changed or not.

  Specified by:
    `writeStamp` in interface `ContextDependent`
  Overrides:
    `writeStamp` in class `ContextDependentBase`
  Parameters:
    `cache` - a cache entry to write the stamp
    `gs` - the current graph state

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD